GVFSD(1)

NAME
gvfsd - Main daemon for gvfs

SYNOPSIS

gvfsd [OPTION...]

DESCRIPTION

gvfsd is the main daemon for the gvfs virtual filesystem. It provides the org.gtk.vfs.Daemon name on the session bus. gvfsd is autostarted by GIO clients if it is not running.

The primary task of gvfsd is to act as a mount tracker/manager. It spawns new backends when requested and keeps track fo their lifecycle, maintaining a list of active mounts and creates direct connections to them.

Since gvfs backends are running as children of the gvfsd process, it is possible to start gvfsd in a terminal and set environment variables to get debug output from individual backends.

gvfsd also starts the gvfsd-fuse(1), and provides it the mount point where the fuse file system should be mounted.

OPTIONS

-h, --help
    Prints a short help text and exits.

-r, --replace
    Replace the currently running gvfsd instance.

--no-fuse
    Don't start the fuse filesystem.

ENVIRONMENT

GVFS_DISABLE_FUSE
    If this environment variable is set, gvfsd will not start the fuse filesystem.

EXIT STATUS

On success 0 is returned, a non-zero failure code otherwise.

SEE ALSO

gvfs(8), gvfsd-fuse(1)